[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fedora 11 + rpm 4.7.0 + mock EL5 issue



Remi Collet wrote:
Hi,

I'm used to build a lot of RPM from my Fedora box, especially for EL 5

But if I create the .src.rpm in F11 (rpm 4.7.0), mock is unable to
install it (rpm 4.4.2) because it couldn't check new default checksum.

A workaround is to first mock for F10 and then use the new .src.rpm

I'm searching for a way to build .src.rpm using old checksum behavior,
but I don't find any solution

Any idea welcome.

Try adding this to your ~/.rpmmacros

# Use MD5 hashes for cross-release compatibility
%_source_filedigest_algorithm	0
%_binary_filedigest_algorithm	0

Paul.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]